
Ryzom - Bug # 1485

Status: Closed Priority: Normal
Author: shackra Category: Build
Created: 07/22/2012 Assignee:
Updated: 09/06/2012 Due date:
Subject: -- Warning: Unable to find Squish!
Description

I got this error every time I compile ryzom. I'm using the kervala's mirror of squish, packaged for my distro, as a dependence for
Ryzom. but IDK why I'm getting that warning...

jorge@Abril:~$ pacman -Ql kervala_libsquish-hg
kervala_libsquish-hg /usr/
kervala_libsquish-hg /usr/local/
kervala_libsquish-hg /usr/local/include/
kervala_libsquish-hg /usr/local/include/squish.h
kervala_libsquish-hg /usr/local/lib/
kervala_libsquish-hg /usr/local/lib/libsquish.so.0.0
jorge@Abril:~$ 

Is some sort of cmake's rules error?

History
#1 - 07/22/2012 10:56 am - kervala

Strange you don't have libsquish.so.1 and libsquish.so symbolic links and libsquish.so.1.13.44.

You should have :

lrwxrwxrwx 1 root root    14 2012-07-22 10:53 libsquish.so -> libsquish.so.1*
lrwxrwxrwx 1 root root    20 2012-07-22 10:53 libsquish.so.1 -> libsquish.so.1.13.44*
-rwxr-xr-x 1 root root 59680 2012-07-22 10:53 libsquish.so.1.13.44*

#2 - 07/23/2012 12:06 am - shackra

kervala wrote:

Strange you don't have libsquish.so.1 and libsquish.so symbolic links and libsquish.so.1.13.44.

You should have :

[...]

yes, is quite estrange though, since I'm building them from your source code!
#3 - 07/23/2012 09:24 am - kervala

Did you use CMake to generate makefiles ?

#4 - 07/24/2012 01:54 am - shackra

Nop!
Just make https://projects.parabolagnulinux.org/abslibre.git/tree/pcr/kervala_libsquish/PKGBUILD#n36
and make install

Because this:

jorge@Abril:/tmp/packaging/squish/build$ cmake ..
CMake Error at CMakeLists.txt:19 (MESSAGE):
  Unable to find common.cmake! Please place it in CMakeModules subdirectory,
  set CMAKE_MODULE_PATH environement variable or set CMAKE_MODULES_DIR or
  CMAKE_MODULE_PATH parameter to CMake.

-- Configuring incomplete, errors occurred!
jorge@Abril:/tmp/packaging/squish/build$ 

#5 - 07/24/2012 09:10 am - kervala

Sorry, you can get my CMake modules with :

hg clone http://hg.kervala.net/cmake/

And after, you have choice between copying modules directory to CMakeModules directory in squish sources directory or setting the 
CMAKE_MODULE_PATH environment variable to the <your path where you cloned the cmake repository>/modules

In fact, I created this repository because all my projects are using the same modules and it was a pain to maintain when duplicated :(

#6 - 07/26/2012 09:42 am - shackra

ok, fixed! :D

jorge@Abril:~$ pacman -Ql kervalasquish-hg
kervalasquish-hg /usr/
kervalasquish-hg /usr/include/
kervalasquish-hg /usr/include/squish.h
kervalasquish-hg /usr/lib/
kervalasquish-hg /usr/lib/libsquish.so
kervalasquish-hg /usr/lib/libsquish.so.1
kervalasquish-hg /usr/lib/libsquish.so.1.13.44
jorge@Abril:~$ 
https://projects.parabolagnulinux.org/abslibre.git/tree/pcr/kervala_libsquish/PKGBUILD#n36
http://hg.kervala.net/cmake/


#7 - 07/26/2012 09:49 am - shackra

shackra wrote:

ok, fixed! :D

[...]

Keep being awesome, Kervala! \o/ :D

#8 - 09/06/2012 05:48 pm - sfb
- Status changed from New to Closed

Sounds like this is fixed?
